Download it now!
Bug 50077 - FORMATTING: String to Number conversion does not work
Summary: FORMATTING: String to Number conversion does not work
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2012-05-17 20:42 UTC by Lu
Modified: 2019-12-03 14:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (21.24 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-05-17 23:22 UTC, Rainer Bielefeld Retired
Details
Illustration Graph with and without formulae (23.73 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-05-19 23:53 UTC, Lu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lu 2012-05-17 20:42:09 UTC
e.g. cell contains =mid(b4,7,2), displays 25, the chart doesn't read the cell as a number [in spite of formatting].

I can supply an example.
Comment 1 Rainer Bielefeld Retired 2012-05-17 23:18:40 UTC
I wonder for what that operation might be useful, but [Reproducible] with parallel installation of Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 7175cee]" (tinderbox: Win-x86@6-fast, pull time 2012-05-16 22:07:37)

In attached sample you see 2 strings looking like numbers in B5 and B7 what are missing in chart, although for any calculation they are accepted as numbers. I can't see any sense in this behavior.
Comment 2 Rainer Bielefeld Retired 2012-05-17 23:22:50 UTC
Created attachment 61783 [details]
Sample Document
Comment 3 Rainer Bielefeld Retired 2012-05-17 23:24:13 UTC
I also see the described behavior with LibO 3.3.3 and OOo 3.2, the behavior seems inherited from OOo

@Kohei:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug
Comment 4 Lu 2012-05-19 23:53:11 UTC
Created attachment 61875 [details]
Illustration Graph with and without formulae

Attached spreadsheet illustrating problem - note that although number format selected, cells displays as text default
Comment 5 A (Andy) 2015-01-04 11:20:53 UTC
Reproducible with LO 4.4.0.0.beta1 and 4.3.4.1 (Win 8.1).

But the MID function is a text function (https://help.libreoffice.org/Calc/Text_Functions).
It extracts a text string out of a text and therefore the result is a text (LO Help: "Returns a text string of a text.": https://help.libreoffice.org/Calc/Text_Functions#MID).

Therefore, I would mark it not as a bug.

I thought about where there could maybe be a need to extract a number out of a larger number or text and I could there maybe think of a Personal ID Code or other generated codes where you need to extract a number.
In this respect it is interesting to see, that LO can already calculate with the text string result and if you add a number calculates a correct sum/number.
Therefore, I would mark it is an enhancement request that either the MID function can also return a number as one further feature or implement a further similiar function that returns a number.
Comment 6 QA Administrators 2016-01-17 20:02:56 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-03-06 14:00:34 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2019-12-03 14:02:45 UTC
Dear Lu,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug